
<app-nav-bar></app-nav-bar>

<div class="section">
  <div class="container">

    <div style=" padding: 30px" >
      <h3 >Lista de pokémon</h3>
    </div>
    <table class="table table-striped  align-middle">
      <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Nombre</th>
        <th scope="col">Foto</th>
        <th scope="col">Acción</th>
      </tr>
      </thead>
      <tbody >
      <tr *ngFor="let pk of pokemon.results">
        <th class="align-middle" scope="row">{{ pk.id }}</th>
        <td class="align-middle">{{ pk.name}}</td>
        <td class="align-middle" *ngIf="pk.details">
          <span class="align-middle">
            <img [src]="pk.details.sprites.front_default" class="mr-2" >
          </span>
        </td>
        <td class="align-middle">
          <span  class="align-middle">
            <i (click)="navegarDetalle(pk.details)" class="fa fa-info-circle" aria-hidden="true" style="font-size: 150%; padding-left: 15px;"></i>
          </span>

        </td>
      </tr>
      </tbody>
    </table>

    <div >
      <ngb-pagination class="d-flex justify-content-center" [collectionSize]="pokemon.count" [(page)]="page" [pageSize]="limite" [maxSize]="5" [rotate]="true" [ellipses]="false" [boundaryLinks]="true" (pageChange)="refreshCountries()">
      </ngb-pagination>
    </div>

  </div>
</div>
